# WiiCR config file

########################
# Start of Basic Setup #
########################

# ----------------
# xampp directory 

# this must point to the local install directory of xampp

$xampp_dir = "C:/Program Files/xampp";

# -------
# theme

# change to name of theme, themes are store in $xampp_dir/htdocs/wmc/themes/

#$theme 		= "icons1";
#$theme 		= "ocean";
#$theme 		= "Wiipaper";
#$theme 		= "zelda";

# --------
# drives

# add new drives / directories like this 

# @drives = 
# (
# 	"C:",
#	"D:", 
#	"M:", 
#	"Z:",
#	"my drive:",
# );

@drives = 
(
	"C:",
	"D:", 
	"M:", 
	"Z:",
);


######################
# End of Basic Setup #
######################

########################
# OS Specific settings #
########################

$perl_exe	= "$xampp_dir/perl/bin/perl";

$sys_shell	= "";	# left blank for win32
#$sys_shell	= "/bin/bash";

###############################
# End of OS Specific settings #
###############################

##################
# ffmpeg options #
##################

$enc_exe 	= "$xampp_dir/cgi-bin/mencoder";

# new mencoder options supplied by LS5

# encoding options

# high quality

#$enc_opts = "-mc 0 -af resample=44100::2 -vf scale,expand=:::::203/118,scale=406:236 -oac mp3lame -lameopts preset=128 -ovc lavc -lavcopts vcodec=flv:vbitrate=672:mbd=2 -of lavf -lavfopts format=flv:i_certify_that_my_video_stream_does_not_use_b_frames";
#$duration = int (2.7 * 60); 	# length of video segments in seconds.

# medium quality

$enc_opts = "-mc 0 -af resample=44100::2 -vf scale,expand=:::::203/118,scale=406:236 -oac mp3lame -lameopts preset=96 -ovc lavc -lavcopts vcodec=flv:vbitrate=400:mbd=2 -of lavf -lavfopts format=flv:i_certify_that_my_video_stream_does_not_use_b_frames";
$duration = int (4.3 * 60); 	# length of video segments in seconds.



# refresh delay

$refresh_delay = 4;


########################
# End offfmpeg options #
########################

#####################
# Advanced settings #
#####################

# shoud not need to change these settings, unless you are doing a custom install

# ------------
# local dirs 

$html_local_dir	= "$xampp_dir/htdocs/wiicr";
$wiicr_local_dir	= "$xampp_dir/htdocs/wiicr";
$theme_local_dir 	= "$wiicr_local_dir/themes/$theme";
$tpl_local_dir	= "$theme_local_dir/tpl";
$cgi_local_dir	= "$wiicr_local_dir";
$flv_local_dir 	= "$wiicr_local_dir/flv";

$work_dir 	= "$wiicr_local_dir/work";

# -----------
# http dirs

$wiicr_dir	= "/wiicr";
$cgi_dir		= "$wiicr_dir";
$images_dir	= "$wiicr_dir/images";
$theme_dir 	= "$wiicr_dir/themes/$theme";
$tpl_dir		= "$theme_dir/tpl";

# -------
# Files

$links 		= "$theme_local_dir/links.txt";
$favourites	= "$wiicr_local_dir/favs.txt";
$mp3_pls 	= "$theme_local_dir/mp3play/mylistdata.xml";
$mp3_txt		= "$wiicr_local_dir/mp3s.txt";

############################
# End of Advanced settings #
############################


1