#!/usr/bin/perl

# license = gpl
# author = jacob jarick, mem.namefix@gmail.com , mem on #wiidev @ efnet

require Encode;

#--------------------------------------------------------------------------------------------------------------
# code
#--------------------------------------------------------------------------------------------------------------

$date = localtime(time());

print "Content-type: text/html\n\n";

our $dir = $0;
$dir =~ s/\\/\//g;
$dir =~ s/^(.*)\/(.*?)$/$1/;

do "$dir/config.pl" or die "ERROR: couldnt load $dir/config.pl";

print "
<hr>
<center><h1>WiiCR Test Scipt v 0.3</h1>
Started at $date</center>
<hr>

<b>config.pl location</b><br>
<pre>$dir</pre>

<b>Checking configuration variables:</b>
<pre>
#--------------------------------------------------------------------------------------------------------------
# apps
#--------------------------------------------------------------------------------------------------------------

\$enc_exe 		= $enc_exe
\$perl_exe		= $perl_exe


#--------------------------------------------------------------------------------------------------------------
# local dirs 
#--------------------------------------------------------------------------------------------------------------

\$xampp_dir 		= $xampp_dir
\$html_local_dir		= $html_local_dir
\$wiicr_local_dir	= $wiicr_local_dir
\$theme_local_dir	= $theme_local_dir
\$tpl_local_dir		= $tpl_local_dir
\$cgi_local_dir		= $cgi_local_dir
\$flv_local_dir		= $flv_local_dir
\$work_dir		= $work_dir


#--------------------------------------------------------------------------------------------------------------
# http dirs
#--------------------------------------------------------------------------------------------------------------

\$wiicr_dir		= $wiicr_dir
\$cgi_dir		= $cgi_dir
\$theme_dir 		= $theme_dir
\$tpl_dir		= $tpl_dir

#--------------------------------------------------------------------------------------------------------------
# Files
#--------------------------------------------------------------------------------------------------------------

\$links 			= $links
\$favourites		= $favourites
\$mp3_pls 		= $mp3_pls
\$mp3_txt		= $mp3_txt


</pre>";

print "

<b>testing executables now....</b>
<BR><BR>\n";

print "output of perl -v:<BR><pre>";
open(CMD, "\"$perl_exe\" -v|");
while(<CMD>)
{
	print $_;
}
close(CMD);
print "
</pre>

output of mencoder -v:<br/>
<br/>
Note: Ignore this message \"Exiting... (error parsing command line)\"<br/>
Its normal output (for win32 anyway) when no options are given.<br/>
<pre>";
open(CMD, "\"$enc_exe\"|");
while(<CMD>)
{
	print $_;
}
close(CMD);

print "
</pre>";
print "

<b>testing Unicode</b>
<BR><BR>\n";

$tmp = "??? - ??.mp3";
$tmp = "The_Crxshadows";

print "print test1: The_Crxshadows<br>";
print "print test2: $tmp<br>";
$tmp2 = pack "U0C*", unpack "C*", $tmp;
print "print test3: $tmp2<br>";
$tmp2 = pack "U0C*", unpack "C*", $tmp;
print "print test4: ". $tmp2 . "<br>";

@d = &read_dir("$work_dir");
print "print testing dir reading (raw mode) <pre>
@d
</pre>";

chdir $work_dir;
chdir $d[2] or die "ERROR couldnt chdir to $d[2]";

print "
<hr>
Tests all done :)";

exit 1;

sub read_dir
{
	my $d = shift;
	
	opendir(DIR, "$d") or die "ERROR: read_dir couldnt open \"$d\"";
	my @data = readdir(DIR);
	close(DIR);
	
	return @data;
	
}

